#version 430

layout(location = 0) in vec3 position;
layout(location = 1) in vec3 normal;

uniform mat4 allTransformsInOnematrix;
uniform mat4 modelMatrix;

//out vec3 newNormal;
out vec3 newPosition;

void main(){
	vec3 normalTranslation = normalize(normal) * 0.01;
	vec3 newPos = position ;
	gl_Position = allTransformsInOnematrix * vec4(newPos, 1.0);
	
	//newNormal = normalize(vec3(transpose(inverse(modelMatrix)) * vec4(normal, 0)));
	newPosition = vec3(modelMatrix * vec4(newPos, 1.0));
}